# AQUA-to-ARTEMiS

Imports AQUAs db.sqlite or MySQL database into ARTEMiS, currently WIP

## Requirements

Already have [ARTEMiS](https://gitea.tendokyu.moe/Hay1tsme/artemis) installed and created the database with

```sh
python dbutils.py create
```

**The `aqua_importer.py` script will read the settings from your specified ARTEMiS `config/` folder!**

## Instructions

Place `aqua_importer.py` in your ARTEMiS directory and execute it:

```sh
python aqua_importer.py "C:\path\to\aqua"
```

**CAN OVERWRITE ALREADY EXISTING GAMES DATA! BE WARNED!!**

## How to use
```
usage: aqua_importer.py [-h] [--config CONFIG] aqua_data_path

AQUA to ARTEMiS

positional arguments:
  aqua_data_path      Absolute folder path to AQUA folder, where application.properties is located in.

options:
  -h, --help            show this help message and exit
  --config CONFIG, -c CONFIG
                        Config directory to use
```

## TODO

- [x] CHUNITHM SUN
- [x] O.N.G.E.K.I. Bright Memory
- [x] maimai DX FESTiVAL
- [ ] Change the game version to import using arguments
- [ ] Code clean up/optimizations